Skip to main content
POST
/
api
/
v1
/
auth
/
token-auth
/
identities
/
{identityId}
/
tokens
cURL
curl --request POST \
  --url https://us.infisical.com/api/v1/auth/token-auth/identities/{identityId}/tokens \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "organizationSlug": "<string>"
}
'
{
  "accessToken": "<string>",
  "expiresIn": 123,
  "accessTokenMaxTTL": 123,
  "tokenType": "Bearer",
  "tokenData": {
    "id": "<string>",
    "identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "authMethod": "<string>",
    "accessTokenTTL": 2592000,
    "accessTokenMaxTTL": 2592000,
    "accessTokenNumUses": 0,
    "accessTokenNumUsesLimit": 0,
    "accessTokenLastUsedAt": "2023-11-07T05:31:56Z",
    "accessTokenLastRenewedAt": "2023-11-07T05:31:56Z",
    "isAccessTokenRevoked": false,
    "identityUAClientSecretId": "<string>",
    "name": "<string>",
    "accessTokenPeriod": 0,
    "subOrganizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

identityId
string
required

The ID of the machine identity to create the token for.

Body

application/json
name
string

The name of the token to create.

organizationSlug
string

The sub organization name to scope the token to.

Required string length: 1 - 64

Response

Default Response

accessToken
string
required
expiresIn
number
required
accessTokenMaxTTL
number
required
tokenType
enum<string>
required
Available options:
Bearer
tokenData
object
required